import {Entity, Column, PrimaryGeneratedColumn} from "typeorm";

@Entity()
export class KnownChannel {

    @PrimaryGeneratedColumn()
    id: number;

    @Column({ nullable: true })
    channelType?: string;

    @Column()
    channelId: string;

    @Column({ type: "decimal", default: 0.0 })
    faceMorphProbability: number;
}
