import {Entity, PrimaryColumn} from "typeorm";

export enum ReactionType {
    NONE = "none",
    ANGERY = "angery",
    HUG = "hug",
    BIG = "big",
    DED = "ded"
};

@Entity()
export class ReactionEmote {
    
    @PrimaryColumn({ type: "varchar" })
    type: ReactionType;

    @PrimaryColumn()
    reactionId: string;
}
