import {Entity, PrimaryColumn, Column} from "typeorm";

@Entity()
export class AggroNewsItem {

    @PrimaryColumn()
    feedName: string;

    @PrimaryColumn()
    newsId: number;

    @Column()
    hash: string;

    @Column({ unique: true, nullable: true })
    editMessageId?: string;

    @Column({ unique: true, nullable: true })
    forumsNewsPostId?: string;

    @Column({ unique: true, nullable: true })
    forumsEditPostId?: string;
}
