import {Entity, PrimaryColumn} from "typeorm";

export enum FaceCaptionType {
    PREFIX = "prefix",
    POSTFIX = "postfix"
}

@Entity()
export class FaceCaptionMessage {
    
    @PrimaryColumn()
    message: string;

    @PrimaryColumn({ type: "varchar" })
    type: FaceCaptionType;
}
